[arch-commits] Commit in (5 files)

Jan de Groot jgc at archlinux.org
Sun Oct 12 17:20:50 EDT 2008


    Date: Sunday, October 12, 2008 @ 17:20:26
  Author: jgc
Revision: 15341

Add new package

Added:
  hamster-applet/
  hamster-applet/repos/
  hamster-applet/trunk/
  hamster-applet/trunk/PKGBUILD
  hamster-applet/trunk/hamster-applet.install

------------------------+
 PKGBUILD               |   28 ++++++++++++++++++++++++++++
 hamster-applet.install |   22 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

Added: hamster-applet/trunk/PKGBUILD
===================================================================
--- hamster-applet/trunk/PKGBUILD	                        (rev 0)
+++ hamster-applet/trunk/PKGBUILD	2008-10-12 21:20:26 UTC (rev 15341)
@@ -0,0 +1,28 @@
+# $Id: $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: Georg Vogetseder <georg.vogetseder at gmail.com>
+
+pkgname=hamster-applet
+pkgver=2.24.0
+pkgrel=1
+pkgdesc="Project Hamster is a GNOME time tracking applet."
+arch=('i686' 'x86_64')
+url="http://projecthamster.wordpress.com/"
+license=('GPL')
+depends=('gnome-python>=2.22.3' 'python-pysqlite>=2.4.1' 'libxss' 'gnome-python-desktop>=2.24.0' 'dbus-python>=0.83.0' 'gnome-panel>=2.24.0')
+options=('!libtool' '!emptydirs')
+install="hamster-applet.install"
+source=(ftp://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('fd05dbe0e010a2fcc35ab49e6dadcce7')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-scrollkeeper || return 1
+  make || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+}

Added: hamster-applet/trunk/hamster-applet.install
===================================================================
--- hamster-applet/trunk/hamster-applet.install	                        (rev 0)
+++ hamster-applet/trunk/hamster-applet.install	2008-10-12 21:20:26 UTC (rev 15341)
@@ -0,0 +1,22 @@
+pkgname=hamster-applet
+
+post_install() {
+  usr/sbin/gconfpkg --install ${pkgname}
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+pre_upgrade() {
+  pre_remove $1
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
+post_remove () {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}




More information about the arch-commits mailing list